Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1252137 - Apparently both CONFIG_EFI_VARS and CONFIG_EFIVAR_FS should not both be enabled...
Summary: Apparently both CONFIG_EFI_VARS and CONFIG_EFIVAR_FS should not both be enabl...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-08-10 19:31 UTC by Tyson Whitehead
Modified: 2015-11-04 16:09 UTC (History)
7 users (show)

Fixed In Version: 4.1.6-201.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-04 16:09:12 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Tyson Whitehead 2015-08-10 19:31:42 UTC
Description of problem:

According to the archlinux wiki

"Enabling both OLD sysfs-efivars and NEW efivarfs can cause data inconsistency issues (see See https://lkml.org/lkml/2013/4/16/473 for more info). Due to this OLD sysfs-efivars is completely disabled in Arch's official kernels (since core/linux-3.11 and core/linux-lts-3.10) and only NEW efivarfs is enabled/supported going forward. All the UEFI Variables related tools and utilities in official repositories support efivarfs as of 01 October 2013."

https://wiki.archlinux.org/index.php/Unified_Extensible_Firmware_Interface#Userspace_Tools

yet both of these are builtin under the latest Fedora 21 kernel

CONFIG_EFI_VARS=y
CONFIG_EFI_VARS_PSTORE=y
CONFIG_EFI_VARS_PSTORE_DEFAULT_DISABLE=y
CONFIG_EFIVAR_FS=y

Version-Release number of selected component (if applicable):


How reproducible:

always

Steps to Reproduce:
1. install kernel
2. grep EFI.*VARS /boot/config*

Actual results:

CONFIG_EFI_VARS=y
CONFIG_EFI_VARS_PSTORE=y
CONFIG_EFI_VARS_PSTORE_DEFAULT_DISABLE=y
CONFIG_EFIVAR_FS=y

Expected results:

# CONFIG_EFI_VARS is not set
# CONFIG_EFI_VARS_PSTORE is not set
# CONFIG_EFI_VARS_PSTORE_DEFAULT_DISABLE is not set
CONFIG_EFIVAR_FS=y

Additional info:

Comment 1 Josh Boyer 2015-08-13 12:01:05 UTC
We looked at this briefly a few weeks ago.  I don't remember exactly why, but there was something preventing us from disabling CONFIG_EFI_VARS.  The corruption issues noted in the link you provided are mostly fixed and only present when using both interfaces at the same time.  That generally isn't an issue.

Comment 2 Josh Boyer 2015-08-21 21:35:55 UTC
OK, Peter and I looked at this again today.  I've disabled EFI_VARS in all the branches.

Comment 3 Tyson Whitehead 2015-08-21 21:39:36 UTC
Thanks :)

Comment 4 Fedora Update System 2015-08-24 21:56:25 UTC
kernel-4.2.0-0.rc8.git0.1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update kernel'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14151

Comment 5 Fedora Update System 2015-08-27 17:57:16 UTC
kernel-4.2.0-0.rc8.git0.1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2015-09-05 01:03:03 UTC
kernel-4.1.6-201.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15130

Comment 7 Fedora Update System 2015-09-06 18:51:58 UTC
kernel-4.1.6-201.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update kernel'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15130

Comment 8 Fedora Update System 2015-09-11 17:21:30 UTC
kernel-4.1.6-201.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2015-09-15 17:36:19 UTC
kernel-4.1.7-100.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15933

Comment 10 Fedora Update System 2015-09-17 01:02:48 UTC
kernel-4.1.7-100.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update kernel'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15933

Comment 11 Fedora Update System 2015-09-23 00:20:16 UTC
kernel-4.1.7-100.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora End Of Life 2015-11-04 16:01:35 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Josh Boyer 2015-11-04 16:09:12 UTC
This was fixed.  I have no idea why bodhi didn't close the bug.


Note You need to log in before you can comment on or make changes to this bug.